<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_CUSTOM_FILTER" value="---" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="AvailableLibraryUpdateStorage">
    <library-updates>
      <library-update>
        <group-id>androidx.test.espresso</group-id>
        <name>espresso-core</name>
        <version>3.3.0</version>
        <repository>Google</repository>
      </library-update>
      <library-update>
        <group-id>androidx.test</group-id>
        <name>runner</name>
        <version>1.3.0</version>
        <repository>Google</repository>
      </library-update>
      <library-update>
        <group-id>androidx.constraintlayout</group-id>
        <name>constraintlayout</name>
        <version>2.0.1</version>
        <repository>Google</repository>
      </library-update>
      <library-update>
        <group-id>junit</group-id>
        <name>junit</name>
        <version>4.13</version>
        <repository>JCenter</repository>
      </library-update>
      <library-update>
        <group-id>androidx.appcompat</group-id>
        <name>appcompat</name>
        <version>1.3.0-alpha02</version>
        <repository>Google</repository>
      </library-update>
    </library-updates>
    <last-search-timestamp>1599310661031</last-search-timestamp>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="969ac474-f729-40d0-aba3-0260f39d4d7d" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view />
      </state>
    </system>
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/login/LoginActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="223">
              <caret line="22" column="13" selection-start-line="22" selection-start-column="13" selection-end-line="22" selection-end-column="13" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/view_model/LoginActivityViewModel.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="224">
              <caret line="16" column="38" selection-start-line="16" selection-start-column="34" selection-end-line="16" selection-end-column="38" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/base/BaseActivity.java" />
        <option value="$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/base/BaseFragment.java" />
        <option value="$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/base/BaseApplication.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/MainActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/main/MainActivity.java" />
        <option value="$PROJECT_DIR$/app/build.gradle" />
        <option value="$PROJECT_DIR$/app/src/main/AndroidManifest.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/login/LoginActivity.java" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_login.xml" />
        <option value="$PROJECT_DIR$/lib_cache/build.gradle" />
        <option value="$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/util/AppGlobals.java" />
        <option value="$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/dao/UserDao.java" />
        <option value="$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/model/User.java" />
        <option value="$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/view_model/LoginActivityViewModel.java" />
        <option value="$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/datebase/CacheDataBase.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="44" />
    <option name="y" value="33" />
    <option name="width" value="1678" />
    <option name="height" value="988" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="AndroidView" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="MN_VIP_JetPack_All" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_VIP_JetPack_All" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="android.sdk.path" value="E:/Android/Sdk" />
    <property name="device.picker.selection" value="Pixel_3_API_24_2" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../MN_2020_4_29" />
    <property name="project.structure.last.edited" value="Dependencies" />
    <property name="project.structure.proportion" value="0.17" />
    <property name="project.structure.side.proportion" value="0.433281" />
    <property name="settings.editor.selected.configurable" value="AndroidSdkUpdater" />
    <property name="show.migrate.to.gradle.popup" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.maniu.lib_cache.dao" />
      <recent name="com.maniu.lib_cache.model" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="F:\MN_Android\MN_VIP_JetPack_All\app\src\main\res\mipmap-xxxhdpi" />
      <recent name="F:\MN_Android\MN_VIP_JetPack_All\app\src\main\res\values" />
      <recent name="F:\MN_Android\MN_VIP_JetPack_All\app\src\main\res\layout" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="969ac474-f729-40d0-aba3-0260f39d4d7d" name="Default Changelist" comment="" />
      <created>1599310189866</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1599310189866</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="44" y="33" width="1678" height="988" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" visible="true" weight="0.2403487" />
      <window_info id="Structure" side_tool="true" />
      <window_info id="Build Variants" side_tool="true" />
      <window_info id="Image Layers" />
      <window_info id="Designer" />
      <window_info id="Resources Explorer" />
      <window_info id="Capture Tool" />
      <window_info id="Favorites" side_tool="true" />
      <window_info id="Captures" order="0" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Run" weight="0.34296483" />
      <window_info anchor="bottom" id="Logcat" weight="0.25502512" />
      <window_info anchor="bottom" id="Version Control" />
      <window_info anchor="bottom" id="TODO" />
      <window_info anchor="bottom" id="Debug" />
      <window_info anchor="bottom" id="Terminal" />
      <window_info anchor="bottom" id="Event Log" side_tool="true" />
      <window_info anchor="bottom" id="Flutter Performance" side_tool="true" />
      <window_info anchor="bottom" id="Build" visible="true" weight="0.20226131" />
      <window_info anchor="bottom" id="Android Profiler" />
      <window_info anchor="right" id="Device File Explorer" side_tool="true" weight="0.3325031" />
      <window_info anchor="right" id="Capture Analysis" />
      <window_info anchor="right" id="Gradle" />
      <window_info anchor="right" id="Theme Preview" />
      <window_info anchor="right" id="Flutter Inspector" />
      <window_info anchor="right" id="Preview" />
      <window_info anchor="right" id="Flutter Outline" />
      <window_info anchor="right" id="Palette&#9;" />
    </layout>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/base.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="50">
          <caret line="2" column="17" selection-start-line="2" selection-start-column="17" selection-end-line="2" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/base/BaseFragment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="294">
          <caret line="22" column="11" selection-start-line="22" selection-start-column="11" selection-end-line="22" selection-end-column="11" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/base/BaseActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="300">
          <caret line="12" selection-start-line="12" selection-end-line="12" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/base/BaseApplication.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="4" column="28" selection-start-line="4" selection-start-column="13" selection-end-line="4" selection-end-column="28" />
          <folding>
            <element signature="e#161#162#0" expanded="true" />
            <element signature="e#193#194#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/values/dimens.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-172" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/build/generated/source/apt/debug/androidx/databinding/library/baseAdapters/BR.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="50">
          <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build/generated/source/apt/debug/com/maniu/mn_vip_jetpack_all/DataBinderMapperImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-93">
          <caret line="8" selection-start-line="8" selection-end-line="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/AndroidManifest.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="363">
          <caret line="20" column="28" selection-start-line="20" selection-start-column="28" selection-end-line="20" selection-end-column="28" />
        </state>
      </provider>
      <provider editor-type-id="android-manifest" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/main/MainActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="9" column="48" lean-forward="true" selection-start-line="9" selection-start-column="48" selection-end-line="9" selection-end-column="48" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="125">
          <caret line="5" column="40" selection-start-line="5" selection-start-column="40" selection-end-line="5" selection-end-column="40" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="303">
          <caret line="34" column="66" selection-start-line="34" selection-start-column="66" selection-end-line="34" selection-end-column="66" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_common/src/main/java/com/maniu/lib_common/util/AppGlobals.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="399">
          <caret line="21" column="51" selection-start-line="21" selection-start-column="51" selection-end-line="21" selection-end-column="51" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/build/generated/source/apt/debug/com/maniu/lib_cache/dao/UserDao_Impl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="525">
          <caret line="46" column="9" lean-forward="true" selection-start-line="46" selection-start-column="9" selection-end-line="46" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/androidx.core/core/1.3.0/1acbde5fef5f77f6920e9f9a5dbe1ca217a64bc0/core-1.3.0-sources.jar!/androidx/core/app/ActivityRecreator.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="124">
          <caret line="76" selection-start-line="76" selection-end-line="76" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/model/User.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="8" selection-start-line="8" selection-end-line="8" selection-end-column="30" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/build/generated/source/apt/debug/com/maniu/lib_cache/datebase/CacheDataBase_Impl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-600">
          <caret line="25" column="35" selection-start-line="25" selection-start-column="27" selection-end-line="25" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/dao/UserDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="175">
          <caret line="22" column="9" selection-start-line="22" selection-start-column="9" selection-end-line="22" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Documents/AndroidStudio/DeviceExplorer/emulator-5554/data/data/com.maniu.mn_vip_jetpack_all/databases/db">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_login.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="565">
          <caret line="51" selection-start-line="51" selection-end-line="51" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/datebase/CacheDataBase.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="368">
          <caret line="26" column="38" selection-start-line="26" selection-start-column="38" selection-end-line="26" selection-end-column="38" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="39" column="70" selection-start-line="39" selection-start-column="70" selection-end-line="39" selection-end-column="70" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib_cache/src/main/java/com/maniu/lib_cache/view_model/LoginActivityViewModel.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="224">
          <caret line="16" column="38" selection-start-line="16" selection-start-column="34" selection-end-line="16" selection-end-column="38" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_vip_jetpack_all/login/LoginActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="223">
          <caret line="22" column="13" selection-start-line="22" selection-start-column="13" selection-end-line="22" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>